Skip to main content
PUT
/
v2
/
projects
/
{project_id}
/
annotation
/
templates
/
{template_id}
/
records
/
{record_id}
/
rating
Create Log Record Annotation Rating
curl --request PUT \
  --url https://api.galileo.ai/v2/projects/{project_id}/annotation/templates/{template_id}/records/{record_id}/rating \
  --header 'Content-Type: application/json' \
  --header 'Splunk-AO-API-Key: <api-key>' \
  --data '
{
  "rating": {
    "value": true,
    "annotation_type": "like_dislike"
  },
  "explanation": "<string>"
}
'
import requests

url = "https://api.galileo.ai/v2/projects/{project_id}/annotation/templates/{template_id}/records/{record_id}/rating"

payload = {
"rating": {
"value": True,
"annotation_type": "like_dislike"
},
"explanation": "<string>"
}
headers = {
"Splunk-AO-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rating: {value: true, annotation_type: 'like_dislike'},
explanation: '<string>'
})
};

fetch('https://api.galileo.ai/v2/projects/{project_id}/annotation/templates/{template_id}/records/{record_id}/rating', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rating": {
    "value": true,
    "annotation_type": "like_dislike"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "explanation": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Splunk-AO-API-Key
string
header
required

Path Parameters

project_id
string<uuid4>
required
record_id
string<uuid4>
required
template_id
string<uuid4>
required

Body

application/json
rating
LikeDislikeRating · object
required
explanation
string | null
Minimum string length: 1

Response

Successful Response

rating
LikeDislikeRating · object
required
created_at
string<date-time>
required
created_by
string<uuid4> | null
required
explanation
string | null
Minimum string length: 1